QShowEvent(3qt)

NAME
QShowEvent - Event which is sent when a widget is shown

SYNOPSIS
#include <ntqevent.h>

Inherits QEvent.

  Public Members
QShowEvent ()

DESCRIPTION
The QShowEvent class provides an event which is sent when a widget is shown.

There are two kinds of show events: show events caused by the window system (spontaneous) and internal show events. Spontaneous show events are sent just after the window system shows the window, including after a top-level window has been shown (un-iconified) by the user. Internal show events are delivered just before the widget becomes visible.

See also QHideEvent and Event Classes.

MEMBER FUNCTION DOCUMENTATION

QShowEvent::QShowEvent ()
Constructs a QShowEvent.

SEE ALSO
http://doc.trolltech.com/qshowevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqshowevent.3qt) and the Qt version (3.3.8).